Package org.apache.felix.webconsole

## Interface WebConsoleSecurityProvider

All Known Subinterfaces:
  `WebConsoleSecurityProvider2`, `WebConsoleSecurityProvider3`

    @Deprecated
    @ConsumerType
    public interface WebConsoleSecurityProvider

Deprecated.
Use the `SecurityProvider` instead.
The `WebConsoleSecurityProvider` is a service interface allowing to use an external system to authenticate users before granting access to the Web Console.

Since:
  3.1.0; Web Console Bundle 3.1.0

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`Object` `authenticate​(String username, String password)` Deprecated. Authenticates the user with the given user name and password.
`boolean` `authorize​(Object user, String role)` Deprecated. Checks whether the authenticated user has the given role permission.

### Method Detail

#### authenticate

    Object authenticate​(String username,
                        String password)

Deprecated.
Authenticates the user with the given user name and password.

Parameters:
  `username` - The name of the user presented by the client
  `password` - The password presented by the client
Returns:
  Some object representing the authenticated user indicating general access to be granted to the web console. If the user cannot be authenticated (e.g. unknown user name or wrong password) or the user must not be allowed access to the web console at all `null` must be returned from this method.

#### authorize

    boolean authorize​(Object user,
                      String role)

Deprecated.
Checks whether the authenticated user has the given role permission.

Parameters:
  `user` - The object referring to the authenticated user. This is the object returned from the `authenticate(String, String)` method and will never be `null`.
  `role` - The requested role
Returns:
  `true` if the user is given permission for the given role.